## kdemultimedia-3.1.tar.bz2

=== kscd/bwlednum/Makefile ===

# $Id: Makefile,v 1.1.1.1 1997/07/04 21:23:49 kulow Exp $

all:	bwlednum.o example

bwlednum.o: bwlednum.h bwlednum.cpp
	moc bwlednum.h -o bwlednum.moc
	gcc  -I$(QTDIR)/include -c bwlednum.cpp

example: bwlednum.o example.cpp 
	moc example.cpp -o example.moc
	gcc  -I$(QTDIR)/include -c example.cpp 
	gcc example.o bwlednum.o -o example -lqt

clean: 
	rm -f *~ *.o *.moc example

=== debian/changelog ===
kdemultimedia (4:3.1.0-1) unstable; urgency=low

  * New Upstream.
  * Redo Debian dir.

 -- Christopher L Cheney <ccheney@debian.org>  Sun,  1 Dec 2002 09:33:29 -0800

kdemultimedia (4:2.2.2-8) unstable; urgency=high

  * Updated Build-Depends (Closes: #132015)
  * Actually apply the PowerPC fix that Daniel thought he did.

 -- Christopher L Cheney <ccheney@debian.org>  Wed,  6 Mar 2002 14:00:00 -0600

kdemultimedia (4:2.2.2-7) unstable; urgency=high

  * Changing Maintainer to Chris.
  * De-b0rking PowerPC stuff.

 -- Daniel Stone <daniel@sfarc.net>  Wed, 27 Feb 2002 21:35:53 +1100

kdemultimedia (4:2.2.2-6) unstable; urgency=low

  * Adopting orphaned package; thanks to Ivan for all his work.
    (closes: #127707)
  * debian/control:
    - Make kdemultimedia-dev depend on libesd0-dev. (closes: #127806)

 -- Daniel Stone <daniel@sfarc.net>  Fri,  4 Jan 2002 09:28:30 -0500

kdemultimedia (4:2.2.2-5) unstable; urgency=low

  * Build with new png

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 28 Dec 2001 13:32:00 -0700

kdemultimedia (4:2.2.2-4) unstable; urgency=low

  * Don't disable the alsa test (Closes: #124132)
  * Change recommends to depends for kdebase-libs

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 16 Dec 2001 04:53:00 -0700

kdemultimedia (4:2.2.2-3) unstable; urgency=low

  * Build cleanup
  * Documentation updates for freeze
  * Dep/Build-dep/etc cleanup
  * Sync with upstream
  * Add -ffunction-sections to CXXFLAGS for hppa

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 30 Nov 2001 02:30:00 -0700

kdemultimedia (4:2.2.2-2) unstable; urgency=low

  * Add missing build-depend - libasound2-dev

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 25 Nov 2001 01:53:00 -0700

kdemultimedia (4:2.2.2-1) unstable; urgency=low

  * New upstream version
  * Change maintainer

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 07 Nov 2001 19:30:00 -0700

kdemultimedia (4:2.2.1-1.4) unstable; urgency=low

  * don't check for auto* as it hoses things

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 08 Oct 2001 19:30:00 -0700

kdemultimedia (4:2.2.1-1.3) unstable; urgency=low

  * Fix configure (Closes: #114577)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 05 Oct 2001 09:35:00 -0700

kdemultimedia (4:2.2.1-1.2) unstable; urgency=low

  * don't worry about automake 1.5

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 03 Oct 2001 09:35:00 -0700

kdemultimedia (4:2.2.1-1.1) unstable; urgency=low

  * Fix conflicts

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 23 Sep 2001 18:51:00 -0700

kdemultimedia (4:2.2.1-1) unstable; urgency=low
 
  * New upstream version 2.2.1
  * Change maintainer
  * Lintian error cleanup
  * PIC vs. non-PIC code cleanup
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 25 Aug 2001 14:41:00 -0700

kdemultimedia (4:2.2.0-final-1) unstable; urgency=low
  
  * New upstream version 2.2
  * Fix build issues (Closes: #107281)
  * Don't link to Xv (Closes: #108261)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 12 Aug 2001 02:03:00 -0700

kdemultimedia (4:2.2.0-0.2beta1-1) unstable; urgency=low
 
  * sync with upstream
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 25 Jul 2001 03:51:00 -0700

kdemultimedia (4:2.2.0-0.1beta1-1) unstable; urgency=low
 
  * sync with upstream
  * More Build-Depends and Depends work
  * More alpha build fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 18 Jul 2001 00:24:00 -0700

kdemultimedia (4:2.2.0-0beta1-3) unstable; urgency=low
 
  * sync with upstream
  * More alpha build fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 07 Jul 2001 03:40:00 -0700

kdemultimedia (4:2.2.0-0beta1-2) unstable; urgency=low
 
  * sync with upstream
  * Autobuild for alpha
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 03 Jul 2001 02:25:00 -0700

kdemultimedia (4:2.2.0-0beta1-1) unstable; urgency=low
 
  * sync with upstream
  * Fix seg (Closes: #102647)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 30 Jun 2001 19:15:00 -0700

kdemultimedia (4:2.2-cvs20010622-1) unstable; urgency=low
 
  * New upstream pull
  * 2.2 beta1
  * Adding: Enhances: tags
  * Adding in notation in kscd README.Debian about the fact that CDDB is
    not supported due to licensing issues. (Closes: #96435)
  * Rename libmpeglib0 to mpeglib and remove libmpeglib-dev
  * Rename arts to artsbuilder as it's less likely to confuse people plus
    is the proper name for it.
  * rename timidity to ktimidity and provide timidity yet we don't conflict
    with it. Move timidity.cfg to /etc/kde2/ktimidity.cfg and move conf files
    for timidity/kmidi to /etc/kde2/kmidi and conffile them all.  kmidi and
    ktimidity both seem to work find for me here now...hopefully it will do
    the same for you folks.
  * Build kmidi/ktimidity with support for most of it's different interfaces. 
    Not sure if this is how it'll end up being in the end.  This includes the
    default Xaw, Ncurses, and Slang.
  * Fixes these problems: 
        noatun segfaults (Closes: #88585)
  * Fix formatting (Closes: #99945)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Jun 2001 06:30:00 -0700

kdemultimedia (4:2.1.1-2) unstable; urgency=low
 
  * Update menu bits to include new kde menu removal tag
  * a few upstream fixes
  * Update build-depends to recognize real | virtual
  * Adding menu entry for kmid...oops
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Apr 2001 15:34:00 -0700

kdemultimedia (4:2.1.1-1.0.1) unstable; urgency=low
 
  * Rebuild with old libc
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 26 Mar 2001 15:44:00 -0700

kdemultimedia (4:2.1.1-1) unstable; urgency=low
 
  * New upstream version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Mar 2001 22:07:00 -0700

kdemultimedia (4:2.1.0-2) unstable; urgency=low
 
  * More upstream fixes
  * Update shlibs and overrides
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 07 Mar 2001 21:48:00 -0700

kdemultimedia (4:2.1.0-1) unstable; urgency=low
 


=== debian/control ===
Source: kdemultimedia
Section: sound
Priority: optional
Maintainer: Christopher L Cheney <ccheney@debian.org>
Build-Depends: debhelper (>> 4.0.18), automake1.7, cdda2wav, cdparanoia, cdrecord, gawk, gettext, kdelibs4-dev, libcdparanoia0-dev, libtiff3g-dev, libxaw7-dev, libxine-dev, mkisofs, texinfo
Standards-Version: 3.5.6.0

Package: kdemultimedia
Section: sound
Architecture: all
Depends: artsbuilder (>= ${Source-Version}), kaboodle (>= ${Source-Version}), kaudiocreator (>= ${Source-Version}), kdemultimedia-kfile-plugins (>= ${Source-Version}), kio-audiocd (>= ${Source-Version}), kmid (>= ${Source-Version}), kmidi (>= ${Source-Version}), kmix (>= ${Source-Version}), krec (>= ${Source-Version}), kscd (>= ${Source-Version}), libarts1-audiofile (>= ${Source-Version}), libarts1-mpeglib (>= ${Source-Version}), libarts1-xine (>= ${Source-Version}), mpeglib (>= ${Source-Version}), noatun (>= ${Source-Version}), yaf (>= ${Source-Version})
Description: KDE Multimedia metapackage
 KDE Multimedia metapackage

Package: kdemultimedia-dev
Section: devel
Architecture: any
Depends: artsbuilder (=${Source-Version}), kmid (=${Source-Version}), libarts1-mpeglib (=${Source-Version}), mpeglib (=${Source-Version}), noatun (=${Source-Version})
Replaces: libmpeg-dev
Provides: libmpeg-dev
Description: KDE Multimedia (development files)
 KDE Multimedia development files

Package: artsbuilder
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Description: Arts synthesizer designer
 This is the analog real-time synthesizer graphical design tool.

Package: kaboodle
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Description: Embedded media player for KDE
 Embedded media player for KDE

Package: kaudiocreator
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Description: CD ripper and audio encoder frontend
 CD ripper and audio encoder frontend

Package: kdemultimedia-kfile-plugins
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Description: au/avi/m3u/mp3/ogg/wav plugins for kfile
 au/avi/m3u/mp3/ogg/wav plugins for kfile

Package: kio-audiocd
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Description: Support for browsing audio CDs under Konqueror
 Support for browsing audio CDs under Konqueror

Package: kmid
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Description: midi/karaoke player for KDE
 midi/karaoke player for KDE

Package: kmidi
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, timidity
Description: midi-to-wav player/converter for KDE
 midi-to-wav player/converter for KDE

Package: kmix
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE based mixer app
 This is a KDE based mixer app

Package: krec
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE based recorder app
 This is a KDE based recorder app

Package: kscd
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE based cd player
 This is a KDE based cd player

Package: libarts1-audiofile
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: audiofile (aRts plugin)
 unknown

Package: libarts1-mpeglib
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: mpeglib is a mp3 and mpeg I video/audio library (Arts plugin)
 mpeglib is a mp3 and mpeg I video/audio library for linux
 .
 This is the arts (KDE Sound daemon) plugin

Package: libarts1-xine
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: FIXME
 FIXME

Package: mpeglib
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: libarts1-mpeglib
Description: mp3 and mpeg I video/audio library for linux
 mpeglib is a mp3 and mpeg I video/audio library for linux
 .
   mpeg I audio player (layer I,II,III (mp3))
   mpeg I video player
   mpeg I system layer player
   wav player

Package: noatun
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Suggests: noatun-plugins
Description: Media player (for video and audio)
 Media player (for video and audio) for KDE

Package: yaf
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Description: Yet Another Frontend - yaf is a simple protocol for communication over streams
 These programs allow you to test mpeglib without using arts

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# GCC 3.2 defines
#export CC  = gcc-3.2
#export CXX = g++-3.2
#export CPP = cpp-3.2

ifeq ($(DEB_BUILD_GNU_TYPE),i386-linux)
  # Uncomment the following 2 lines to enable i686 optimziation
  # You may want to tweak the settings to your likings
  #export CFLAGS=-O3 -march=i686 -ffast-math -finline-functions
  #export CXXFLAGS=-O3 -march=i686 -ffast-math -finline-functions
  XINERAMA=--with-xinerama
endif

objdir = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Apply Debian specific patches
	if test ! -f patch-stamp; then \
		for patch in $(CURDIR)/debian/patches/*.diff ;\
		do \
			echo APPLYING PATCH\: $${patch##*/};\
			patch -p1 < $$patch ;\
		done ;\
		touch patch-stamp ;\
	fi

	# KDE CVS does not have aclocal.m4 or configure
	if test ! -f configure; then \
		$(MAKE) -f admin/Makefile.common ;\
	fi

	# make build directory
	mkdir $(objdir)
	
	# run configure with build tree $(objdir)
	cd $(objdir) && \
	../configure $(configkde) --with-arts-alsa $(XINERAMA)

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	cd $(objdir) && \
	$(MAKE)

	touch build-stamp

debian-clean:
	dh_testdir
	dh_testroot

	dh_clean

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp debian/debiandirs

	# Remove Debian specific patches
	if test -f patch-stamp; then \
		for patch in $(CURDIR)/debian/patches/*.diff ;\
		do \
			echo REMOVING PATCH\: $${patch##*/};\
			patch -p1 -R < $$patch ;\
		done ;\
		rm -f patch-stamp ;\
	fi

	# Remove build tree
	rm -rf $(objdir)

	# if Makefile exists run distclean
	if test -f Makefile; then \
		$(MAKE) distclean; \
	fi

	if test -d CVS; then \
		$(MAKE) -f admin/Makefile.common cvs-clean ;\
	fi

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(objdir) && \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	dh_install --list-missing

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_undocumented
	dh_installman
	dh_strip
	dh_link
	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
#	dh_perl
	dh_shlibdeps -ldebian/aktion/usr/lib:debian/artsbuilder/usr/lib:debian/kmid/usr/lib:debian/kscd/usr/lib:debian/mpeglib/usr/lib:debian/noatun/usr/lib:debian/yaf/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
